Package com.io7m.waxmill.machines

# Class WXMZFSFilesystem.Builder

java.lang.Object
com.io7m.waxmill.machines.WXMZFSFilesystem.Builder

Enclosing class:
  WXMZFSFilesystem

    public static final class WXMZFSFilesystem.Builder
    extends java.lang.Object

Builds instances of type `WXMZFSFilesystem`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMZFSFilesystem` | `build()` | Builds a new `WXMZFSFilesystem`.
  `WXMZFSFilesystem.Builder` | `from​(WXMZFSFilesystemType instance)` | Fill a builder with attribute values from the provided `WXMZFSFilesystemType` instance.
  `WXMZFSFilesystem.Builder` | `setMountPoint​(java.nio.file.Path mountPoint)` | Initializes the value for the `mountPoint` attribute.
  `WXMZFSFilesystem.Builder` | `setName​(java.lang.String name)` | Initializes the value for the `name` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXMZFSFilesystem.Builder from​(WXMZFSFilesystemType instance)
    Fill a builder with attribute values from the provided `WXMZFSFilesystemType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setName

    public final WXMZFSFilesystem.Builder setName​(java.lang.String name)
    Initializes the value for the `name` attribute.
    Parameters:
      `name` - The value for name
    Returns:
      `this` builder for use in a chained invocation

  - ### setMountPoint

    public final WXMZFSFilesystem.Builder setMountPoint​(java.nio.file.Path mountPoint)
    Initializes the value for the `mountPoint` attribute.
    Parameters:
      `mountPoint` - The value for mountPoint
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXMZFSFilesystem build()
    Builds a new `WXMZFSFilesystem`.
    Returns:
      An immutable instance of WXMZFSFilesystem
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing